=== debian/changelog ===
zanshin (0.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 14 Mar 2012 16:54:03 +0200
