=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                kdepimlibs5-dev,
                libboost-dev,
                pkg-kde-tools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://zanshin.kde.org/
 
 Package: zanshin
