=== debian/changelog ===
zanshin (0.4.0-1build1) yakkety; urgency=medium

  * No-change rebuild against libkf5identitymanagement5abi1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Oct 2016 03:50:56 +0000

zanshin (0.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release. (Closes:  #781153, #817072, #828774) (LP: #1579470)
  * Add a watch file.
  * Update the build dependencies following the port to Frameworks:
    - remove kdepimlibs5-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev,
      libkf5akonadicalendar-dev, libkf5akonadinotes-dev,
      libkf5akonadisearch-dev, libkf5identitymanagement-dev,
      libkf5kontactinterface-dev, libkf5ldap-dev, libkf5runner-dev, and
      libkf5wallet-dev
  * Bump the debhelper compat to 9:
    - bump compat to 9
    - bump the debhelper build dependency to >= 9
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the cmake build dependency to >= 3.2, according to the upstream build
    system.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, since it
    is not easy to run them.
  * Add Vcs-* fields.
  * Link in as-needed mode.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Rewrite copyright from scratch, following copyright-format v1.0.

  [ Fathi Boudra ]
  * Improve long description.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2016 23:36:19 +0200
