=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: cmake (>= 3.2),
               debhelper (>= 9),
               libboost-dev,
               pkg-kde-tools (>= 0.15.16),
               extra-cmake-modules,
               qtbase5-dev,
               qtdeclarative5-dev,
               libkf5akonadicalendar-dev,
               libkf5akonadinotes-dev,
               libkf5akonadisearch-dev,
               libkf5identitymanagement-dev,
               libkf5kontactinterface-dev,
               libkf5ldap-dev,
               libkf5runner-dev,
               libkf5wallet-dev,
Standards-Version: 3.9.8
Homepage: http://zanshin.kde.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/zanshin.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/zanshin.git

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".
