=== debian/changelog ===
zanshin (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 13 Sep 2016 06:38:03 +0200
