=== debian/watch ===
version=4
http://files.kde.org/zanshin/zanshin-([0-9\.]+)\.tar\.(?:gz|bz2|xz)
