=== src/akonadi/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 set(akonadi_SRCS
     akonadiapplicationselectedattribute.cpp
+    akonadicache.cpp
+    akonadicachingstorage.cpp
     akonadicollectionfetchjobinterface.cpp
-    akonadicollectionsearchjobinterface.cpp
     akonadiconfigdialog.cpp
     akonadicontextqueries.cpp
     akonadicontextrepository.cpp
@@ -40,4 +41,6 @@
     KF5::Mime
     KF5::CalendarCore
     KF5::IdentityManagement
+    KF5::ConfigCore
+    KF5::KDELibs4Support
 )
