=== src/presentation/CMakeLists.txt ===
--- 
+++ 
@@ -15,11 +15,14 @@
     pagemodel.cpp
     projectpagemodel.cpp
     querytreemodelbase.cpp
+    runningtaskmodelinterface.cpp
+    runningtaskmodel.cpp
     tagpagemodel.cpp
     taskinboxpagemodel.cpp
     tasklistmodel.cpp
+    taskapplicationmodel.cpp
     workdaypagemodel.cpp
 )
 
 add_library(presentation STATIC ${presentation_SRCS})
-target_link_libraries(presentation Qt5::Core Qt5::Gui domain utils)
+target_link_libraries(presentation Qt5::Core Qt5::Gui KF5::I18n domain utils)
