=== src/renku/CMakeLists.txt ===
add_subdirectory(app)
add_subdirectory(kontact)
