=== tests/benchmarks/CMakeLists.txt ===
zanshin_manual_tests(
  serializerTest
)
