=== tests/units/CMakeLists.txt ===
add_subdirectory(akonadi)
add_subdirectory(domain)
add_subdirectory(presentation)
add_subdirectory(utils)
add_subdirectory(scripting)
add_subdirectory(testlib)
add_subdirectory(widgets)
add_subdirectory(migrator)
