=== debian/changelog ===
zanshin (0.5.0-1ubuntu1) bionic; urgency=medium

  * Cherry pick upstream commit to provide a working url for the
    appstream data screenshot
    - debian/patches: upstream_fix-appstream-screenshot.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Mar 2018 19:37:23 +0000

zanshin (0.5.0-1build1) bionic; urgency=medium

  * No change rebuild against KDE PIM 17.12

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 00:10:57 +0000

zanshin (0.5.0-1) unstable; urgency=medium

  * New upstream release:
    - ships translations (Closes: #673684)
  * Update the watch file.
  * Add the new required libkf5kdelibs4support-dev, libkf5i18n-dev, and
    libkf5windowsystem-dev build dependencies.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Add the libkf5akonadicontact-dev dependency, to workaround a lack of
    dependency in libkf5akonadicalendar-dev 17.08.x.
  * "Adopt" the package. (Closes: #879441)

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jan 2018 12:14:16 +0100
