=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.2),
                debhelper (>= 9),
                libboost-dev,
@@ -11,14 +11,18 @@
                qtbase5-dev,
                qtdeclarative5-dev,
                libkf5akonadicalendar-dev,
+               libkf5akonadicontact-dev,
                libkf5akonadinotes-dev,
                libkf5akonadisearch-dev,
+               libkf5i18n-dev,
                libkf5identitymanagement-dev,
+               libkf5kdelibs4support-dev,
                libkf5kontactinterface-dev,
                libkf5ldap-dev,
                libkf5runner-dev,
                libkf5wallet-dev,
-Standards-Version: 3.9.8
+               libkf5windowsystem-dev,
+Standards-Version: 4.1.3
 Homepage: http://zanshin.kde.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/zanshin.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/zanshin.git
