=== debian/watch ===
version=4
https://download.kde.org/stable/zanshin/zanshin-([0-9\.]+)\.tar\.(?:gz|bz2|xz)
