## zanshin 0.5.71

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,9 @@
 include(ECMMarkAsTest)
 include(ECMPoQmTools)
 
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Qml Test)
+find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
 find_package(Boost REQUIRED)
+find_package(Threads REQUIRED)
 macro(assert_min_ver version)
     set(error_msg "${CMAKE_CXX_COMPILER} ${CMAKE_CXX_COMPILER_VERSION} not supported")
     if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "${version}")
@@ -56,7 +57,11 @@
    link_libraries("asan")
 endif()
 
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_STRICT_ITERATORS
+)
+
 include_directories (
     ${CMAKE_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
@@ -67,16 +72,10 @@
 
 find_package(KF5 REQUIRED COMPONENTS
     AkonadiCalendar
-    AkonadiNotes
-    AkonadiSearch
-    IdentityManagement
     KontactInterface
-    Ldap
     Runner
-    Wallet
     WindowSystem
     I18n
-    KDELibs4Support
 )
 find_package(KF5Akonadi "5.1" CONFIG REQUIRED)
