=== src/akonadi/CMakeLists.txt ===
--- 
+++ 
@@ -11,12 +11,8 @@
     akonadiitemfetchjobinterface.cpp
     akonadilivequeryhelpers.cpp
     akonadilivequeryintegrator.cpp
-    akonadimessaging.cpp
-    akonadimessaginginterface.cpp
     akonadimonitorimpl.cpp
     akonadimonitorinterface.cpp
-    akonadinotequeries.cpp
-    akonadinoterepository.cpp
     akonadiprojectqueries.cpp
     akonadiprojectrepository.cpp
     akonadiserializer.cpp
@@ -24,9 +20,6 @@
     akonadistorage.cpp
     akonadistorageinterface.cpp
     akonadistoragesettings.cpp
-    akonaditagfetchjobinterface.cpp
-    akonaditagqueries.cpp
-    akonaditagrepository.cpp
     akonaditaskqueries.cpp
     akonaditaskrepository.cpp
     akonaditimestampattribute.cpp
@@ -36,11 +29,7 @@
 target_link_libraries(akonadi
     KF5::AkonadiCalendar
     KF5::AkonadiCore
-    KF5::AkonadiNotes
     KF5::AkonadiWidgets
-    KF5::Mime
     KF5::CalendarCore
-    KF5::IdentityManagement
     KF5::ConfigCore
-    KF5::KDELibs4Support
 )
