=== src/icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    128-apps-zanshin.png
    256-apps-zanshin.png
    48-apps-zanshin.png
    64-apps-zanshin.png
    sc-apps-zanshin.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
)
