=== tests/testlib/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,6 @@
    akonadistoragetestbase.cpp
    fakejob.cpp
    gencollection.cpp
-   gennote.cpp
-   gentag.cpp
    gentodo.cpp
    modeltest.cpp
    monitorspy.cpp
@@ -21,11 +19,8 @@
 add_library(testlib STATIC ${testlib_SRCS})
 target_link_libraries(testlib
     KF5::AkonadiCore
-    KF5::AkonadiNotes
     KF5::AkonadiXml
     KF5::CalendarCore
-    KF5::Mime
     Qt5::Test
-    KF5::KDELibs4Support
 )
