=== debian/changelog ===
zanshin (0.5.71-2) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Fix compilation with KDE Apps 20.08 (Closes: #972224)

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Fix references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 13:52:07 +0200

zanshin (0.5.71-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_fix-appdata-to-use-new-working-screenshot-location.patch: drop,
      backported from upstream
    - upstream_don-t-set-a-zanshin-screenshot-for-renku.patch: drop, backported
      from upstream
    - upstream_Make-it-build-both-with-pre-and-post-19.08.0-KCalCor.patch:
      drop, backported from upstream
    - upstream_Fix-compilation-with-latest-KCalCore-API-changes-Att.patch:
      drop, backported from upstream
    - add-missing-AkonadiContacts-dependency.patch: drop, obsolete
    - replace-Attendee-Ptr-for-19.08-KCalCore.patch: drop, obsolete
  * Update the build dependencies according to the upstream build system:
    - remove unused qtdeclarative5-dev, libkf5akonadinotes-dev,
      libkf5akonadisearch-dev, libkf5identitymanagement-dev,
      libkf5kdelibs4support-dev, libkf5ldap-dev, and libkf5wallet-dev
    - explicitly add gettext
  * Add the configuration for the CI on salsa.
  * Small copyright update.
  * Update the upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Jan 2020 00:42:37 +0100

zanshin (0.5.0-3) unstable; urgency=medium

  * Team upload.
  * Add patches to fix build with KDEPIM 19.08 (Closes: #945836):
    - upstream_Fix-compilation-with-latest-KCalCore-API-changes-Att.patch
    - upstream_Make-it-build-both-with-pre-and-post-19.08.0-KCalCor.patch
    - add-missing-AkonadiContacts-dependency.patch
    - replace-Attendee-Ptr-for-19.08-KCalCore.patch
  * Add signing key to check signature of upstream tarball.
  * Bump to compat 12 (Use debhelper-compat in B-d).
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Set Rules-Requires-Root: no.
  * Use hardening=+bindnow.
  * Add d/upstream/metadata file.

 -- Sandro Knauß <hefee@debian.org>  Mon, 02 Dec 2019 21:08:55 +0100

zanshin (0.5.0-2) unstable; urgency=medium

  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Backport upstream commit b41538f15c792e2106d6ce266568f9aae12e09c5, and
    0d1e500a88998e3419b3605ddc6435f5be22b056 to fix the screenshots in the
    appdata files; patches
    upstream_fix-appdata-to-use-new-working-screenshot-location.patch, and
    upstream_don-t-set-a-zanshin-screenshot-for-renku.patch.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Switch Homepage to https.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Oct 2018 09:23:43 +0200
