=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               gettext,
               libboost-dev,
               pkg-kde-tools (>= 0.15.16),
               extra-cmake-modules,
               qtbase5-dev,
               libkf5akonadicalendar-dev,
               libkf5akonadicontact-dev,
               libkf5i18n-dev,
               libkf5kontactinterface-dev,
               libkf5runner-dev,
               libkf5windowsystem-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/zanshin
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/zanshin.git

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".
