## zanshin 21.11.80

=== debian/changelog ===
zanshin (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Drop included fix-compilation-with-apps2008-upstream-4850c089.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:34:14 +0000

zanshin (0.5.71-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Bump standards version, no changes necessary.
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 31 Aug 2021 09:13:54 +0900
