=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>
+Uploaders: Pino Toscano <pino@debian.org>, Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.2),
                debhelper-compat (= 13),
+               extra-cmake-modules,
                gettext,
                libboost-dev,
-               pkg-kde-tools (>= 0.15.16),
-               extra-cmake-modules,
-               qtbase5-dev,
-               libkf5akonadicalendar-dev,
-               libkf5akonadicontact-dev,
+               libkf5akonadicalendar-dev (>= 4:21.11.80~),
+               libkf5akonadicontact-dev (>= 4:21.11.80~),
                libkf5i18n-dev,
-               libkf5kontactinterface-dev,
+               libkf5kontactinterface-dev (>= 21.11.80~),
                libkf5runner-dev,
                libkf5windowsystem-dev,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://zanshin.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/zanshin
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/zanshin.git
