=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                extra-cmake-modules,
                gettext,
                libboost-dev,
-               libkf5akonadicalendar-dev (>= 4:21.12.0~),
-               libkf5akonadicontact-dev (>= 4:21.12.0~),
+               libkf5akonadicalendar-dev (>= 4:21.12.1~),
+               libkf5akonadicontact-dev (>= 4:21.12.1~),
                libkf5i18n-dev,
-               libkf5kontactinterface-dev (>= 21.12.0~),
+               libkf5kontactinterface-dev (>= 21.12.1~),
                libkf5runner-dev,
                libkf5windowsystem-dev,
                pkg-kde-tools (>= 0.15.16),
